package com.mortals.xhx.module.customer.model.vo;
import com.alibaba.fastjson.annotation.JSONField;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 客户管理视图对象
*
* @author zxfei
* @date 2022-06-08
*/
@Data
public class CustomerVo extends BaseEntityLong {

    /**
     * 唯一标识
     */
    @JSONField(serialize = false)
    private String token;

    /**
     * 登录时间
     */
    private Long loginTime;

    /**
     * 过期时间
     */
    private Long expireTime;

    /** 查询条件 */
    private String query;
    /** 站点编码 */
    private String siteCode="";

    private String oldPassword;
    private String newPassword;
}