package com.mortals.xhx.module.help.model;

import java.util.List;
/**
* 帮助评价信息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class HelpEvaluateQuery extends HelpEvaluateEntity {
    /** 开始 评价ID，主键，自增长 */
    private Long idStart;

    /** 结束 评价ID，主键，自增长 */
    private Long idEnd;

    /** 增加 评价ID，主键，自增长 */
    private Long idIncrement;

    /** 评价ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 帮助ID */
    private Long helpIdStart;

    /** 结束 帮助ID */
    private Long helpIdEnd;

    /** 增加 帮助ID */
    private Long helpIdIncrement;

    /** 帮助ID列表 */
    private List <Long> helpIdList;

    /** 开始 客户id */
    private Long customerIdStart;

    /** 结束 客户id */
    private Long customerIdEnd;

    /** 增加 客户id */
    private Long customerIdIncrement;

    /** 客户id列表 */
    private List <Long> customerIdList;

    /** 客户真实名称 */
    private List<String> custNameList;

    /** 单位名称 */
    private List<String> organizationList;

    /** 联系电话 */
    private List<String> contactTelphoneList;

    /** 开始 评价结果1有用2没用 */
    private Integer evaluateTypeStart;

    /** 结束 评价结果1有用2没用 */
    private Integer evaluateTypeEnd;

    /** 增加 评价结果1有用2没用 */
    private Integer evaluateTypeIncrement;

    /** 评价结果1有用2没用列表 */
    private List <Integer> evaluateTypeList;

    /** 开始 评价时间 */
    private String evaluateTimeStart;

    /** 结束 评价时间 */
    private String evaluateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<HelpEvaluateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<HelpEvaluateQuery> andConditionList;

    public HelpEvaluateQuery(){}

    /**
    * 获取 开始 评价ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 评价ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 评价ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 评价ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 评价ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 评价ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 评价ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 评价ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 帮助ID
    * @return helpIdStart
    */
    public Long getHelpIdStart(){
        return this.helpIdStart;
    }

    /**
    * 设置 开始 帮助ID
    * @param helpIdStart
    */
    public void setHelpIdStart(Long helpIdStart){
        this.helpIdStart = helpIdStart;
    }

    /**
    * 获取 结束 帮助ID
    * @return $helpIdEnd
    */
    public Long getHelpIdEnd(){
        return this.helpIdEnd;
    }

    /**
    * 设置 结束 帮助ID
    * @param helpIdEnd
    */
    public void setHelpIdEnd(Long helpIdEnd){
        this.helpIdEnd = helpIdEnd;
    }

    /**
    * 获取 增加 帮助ID
    * @return helpIdIncrement
    */
    public Long getHelpIdIncrement(){
        return this.helpIdIncrement;
    }

    /**
    * 设置 增加 帮助ID
    * @param helpIdIncrement
    */
    public void setHelpIdIncrement(Long helpIdIncrement){
        this.helpIdIncrement = helpIdIncrement;
    }

    /**
    * 获取 帮助ID
    * @return helpIdList
    */
    public List<Long> getHelpIdList(){
        return this.helpIdList;
    }

    /**
    * 设置 帮助ID
    * @param helpIdList
    */
    public void setHelpIdList(List<Long> helpIdList){
        this.helpIdList = helpIdList;
    }

    /**
    * 获取 开始 客户id
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户id
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户id
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户id
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 客户真实名称
    * @return custNameList
    */
    public List<String> getCustNameList(){
        return this.custNameList;
    }

    /**
    * 设置 客户真实名称
    * @param custNameList
    */
    public void setCustNameList(List<String> custNameList){
        this.custNameList = custNameList;
    }
    /**
    * 获取 单位名称
    * @return organizationList
    */
    public List<String> getOrganizationList(){
        return this.organizationList;
    }

    /**
    * 设置 单位名称
    * @param organizationList
    */
    public void setOrganizationList(List<String> organizationList){
        this.organizationList = organizationList;
    }
    /**
    * 获取 联系电话
    * @return contactTelphoneList
    */
    public List<String> getContactTelphoneList(){
        return this.contactTelphoneList;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public void setContactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
    }
    /**
    * 获取 开始 评价结果1有用2没用
    * @return evaluateTypeStart
    */
    public Integer getEvaluateTypeStart(){
        return this.evaluateTypeStart;
    }

    /**
    * 设置 开始 评价结果1有用2没用
    * @param evaluateTypeStart
    */
    public void setEvaluateTypeStart(Integer evaluateTypeStart){
        this.evaluateTypeStart = evaluateTypeStart;
    }

    /**
    * 获取 结束 评价结果1有用2没用
    * @return $evaluateTypeEnd
    */
    public Integer getEvaluateTypeEnd(){
        return this.evaluateTypeEnd;
    }

    /**
    * 设置 结束 评价结果1有用2没用
    * @param evaluateTypeEnd
    */
    public void setEvaluateTypeEnd(Integer evaluateTypeEnd){
        this.evaluateTypeEnd = evaluateTypeEnd;
    }

    /**
    * 获取 增加 评价结果1有用2没用
    * @return evaluateTypeIncrement
    */
    public Integer getEvaluateTypeIncrement(){
        return this.evaluateTypeIncrement;
    }

    /**
    * 设置 增加 评价结果1有用2没用
    * @param evaluateTypeIncrement
    */
    public void setEvaluateTypeIncrement(Integer evaluateTypeIncrement){
        this.evaluateTypeIncrement = evaluateTypeIncrement;
    }

    /**
    * 获取 评价结果1有用2没用
    * @return evaluateTypeList
    */
    public List<Integer> getEvaluateTypeList(){
        return this.evaluateTypeList;
    }

    /**
    * 设置 评价结果1有用2没用
    * @param evaluateTypeList
    */
    public void setEvaluateTypeList(List<Integer> evaluateTypeList){
        this.evaluateTypeList = evaluateTypeList;
    }

    /**
    * 获取 开始 评价时间
    * @return evaluateTimeStart
    */
    public String getEvaluateTimeStart(){
        return this.evaluateTimeStart;
    }

    /**
    * 设置 开始 评价时间
    * @param evaluateTimeStart
    */
    public void setEvaluateTimeStart(String evaluateTimeStart){
        this.evaluateTimeStart = evaluateTimeStart;
    }

    /**
    * 获取 结束 评价时间
    * @return evaluateTimeEnd
    */
    public String getEvaluateTimeEnd(){
        return this.evaluateTimeEnd;
    }

    /**
    * 设置 结束 评价时间
    * @param evaluateTimeEnd
    */
    public void setEvaluateTimeEnd(String evaluateTimeEnd){
        this.evaluateTimeEnd = evaluateTimeEnd;
    }

    /**
    * 设置  评价ID，主键，自增长
    * @param id
    */
    public HelpEvaluateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 评价ID，主键，自增长
    * @param idStart
    */
    public HelpEvaluateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 评价ID，主键，自增长
    * @param idEnd
    */
    public HelpEvaluateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 评价ID，主键，自增长
    * @param idIncrement
    */
    public HelpEvaluateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 评价ID，主键，自增长
    * @param idList
    */
    public HelpEvaluateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  帮助ID
    * @param helpId
    */
    public HelpEvaluateQuery helpId(Long helpId){
	    setHelpId(helpId);
		return this;
    }
	
	 /**
    * 设置 开始 帮助ID
    * @param helpIdStart
    */
    public HelpEvaluateQuery helpIdStart(Long helpIdStart){
		this.helpIdStart = helpIdStart;
		return this;
    }

    /**
    * 设置 结束 帮助ID
    * @param helpIdEnd
    */
    public HelpEvaluateQuery helpIdEnd(Long helpIdEnd){
		this.helpIdEnd = helpIdEnd;
		return this;
    }

    /**
    * 设置 增加 帮助ID
    * @param helpIdIncrement
    */
    public HelpEvaluateQuery helpIdIncrement(Long helpIdIncrement){
		this.helpIdIncrement = helpIdIncrement;
		return this;
    }

    /**
    * 设置 帮助ID
    * @param helpIdList
    */
    public HelpEvaluateQuery helpIdList(List<Long> helpIdList){
        this.helpIdList = helpIdList;
		return this;
        }

    /**
    * 设置  客户id
    * @param customerId
    */
    public HelpEvaluateQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public HelpEvaluateQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public HelpEvaluateQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public HelpEvaluateQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public HelpEvaluateQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }


	/**
    * 设置 客户真实名称
    * @param custName
    */
    public HelpEvaluateQuery custName(String custName){
        setCustName(custName);
		return this;
    }

    /**
    * 设置 客户真实名称
    * @param custNameList
    */
    public HelpEvaluateQuery custNameList(List<String> custNameList){
        this.custNameList = custNameList;
		return this;
    }


	/**
    * 设置 单位名称
    * @param organization
    */
    public HelpEvaluateQuery organization(String organization){
        setOrganization(organization);
		return this;
    }

    /**
    * 设置 单位名称
    * @param organizationList
    */
    public HelpEvaluateQuery organizationList(List<String> organizationList){
        this.organizationList = organizationList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param contactTelphone
    */
    public HelpEvaluateQuery contactTelphone(String contactTelphone){
        setContactTelphone(contactTelphone);
		return this;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public HelpEvaluateQuery contactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
		return this;
    }

    /**
    * 设置  评价结果1有用2没用
    * @param evaluateType
    */
    public HelpEvaluateQuery evaluateType(Integer evaluateType){
	    setEvaluateType(evaluateType);
		return this;
    }
	
	 /**
    * 设置 开始 评价结果1有用2没用
    * @param evaluateTypeStart
    */
    public HelpEvaluateQuery evaluateTypeStart(Integer evaluateTypeStart){
		this.evaluateTypeStart = evaluateTypeStart;
		return this;
    }

    /**
    * 设置 结束 评价结果1有用2没用
    * @param evaluateTypeEnd
    */
    public HelpEvaluateQuery evaluateTypeEnd(Integer evaluateTypeEnd){
		this.evaluateTypeEnd = evaluateTypeEnd;
		return this;
    }

    /**
    * 设置 增加 评价结果1有用2没用
    * @param evaluateTypeIncrement
    */
    public HelpEvaluateQuery evaluateTypeIncrement(Integer evaluateTypeIncrement){
		this.evaluateTypeIncrement = evaluateTypeIncrement;
		return this;
    }

    /**
    * 设置 评价结果1有用2没用
    * @param evaluateTypeList
    */
    public HelpEvaluateQuery evaluateTypeList(List<Integer> evaluateTypeList){
        this.evaluateTypeList = evaluateTypeList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<HelpEvaluateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<HelpEvaluateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<HelpEvaluateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<HelpEvaluateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}