package com.mortals.xhx.module.goview.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.goview.model.vo.GoviewProjectDataVo;
/**
* 项目数据关联实体对象
*
* @author zxfei
* @date 2023-04-13
*/

public class GoviewProjectDataEntity extends GoviewProjectDataVo {
    private static final long serialVersionUID = 1L;

    /**
    * 项目Id
    */
    private Long projectId;
    /**
    * 存储数据
    */
    private byte[] content;



    public GoviewProjectDataEntity(){}
    /**
    * 获取 项目Id
    * @return Long
    */
    public Long getProjectId(){
        return projectId;
    }
    /**
    * 设置 项目Id
    * @param projectId
    */
    public void setProjectId(Long projectId){
        this.projectId = projectId;
    }
    /**
    * 获取 存储数据
    * @return byte[]
    */
    public byte[] getContent(){
        return content;
    }
    /**
    * 设置 存储数据
    * @param content
    */
    public void setContent(byte[] content){
        this.content = content;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof GoviewProjectDataEntity) {
            GoviewProjectDataEntity tmp = (GoviewProjectDataEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",projectId:").append(getProjectId());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){

            this.projectId = null;

            this.content = null;
    }
}