package com.mortals.xhx.module.help.model;

import com.mortals.xhx.module.help.model.vo.HelpEvaluateVo;

import java.util.Date;
/**
* 帮助评价信息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class HelpEvaluateEntity extends HelpEvaluateVo {
    private static final long serialVersionUID = 1L;

    /**
    * 帮助ID
    */
    private Long helpId;
    /**
    * 客户id
    */
    private Long customerId;
    /**
    * 客户真实名称
    */
    private String custName;
    /**
    * 单位名称
    */
    private String organization;
    /**
    * 联系电话
    */
    private String contactTelphone;
    /**
    * 评价结果1有用2没用
    */
    private Integer evaluateType;
    /**
    * 评价时间
    */
    private Date evaluateTime;



    public HelpEvaluateEntity(){}
    /**
    * 获取 帮助ID
    * @return Long
    */
    public Long getHelpId(){
        return helpId;
    }
    /**
    * 设置 帮助ID
    * @param helpId
    */
    public void setHelpId(Long helpId){
        this.helpId = helpId;
    }
    /**
    * 获取 客户id
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户id
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 客户真实名称
    * @return String
    */
    public String getCustName(){
        return custName;
    }
    /**
    * 设置 客户真实名称
    * @param custName
    */
    public void setCustName(String custName){
        this.custName = custName;
    }
    /**
    * 获取 单位名称
    * @return String
    */
    public String getOrganization(){
        return organization;
    }
    /**
    * 设置 单位名称
    * @param organization
    */
    public void setOrganization(String organization){
        this.organization = organization;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getContactTelphone(){
        return contactTelphone;
    }
    /**
    * 设置 联系电话
    * @param contactTelphone
    */
    public void setContactTelphone(String contactTelphone){
        this.contactTelphone = contactTelphone;
    }
    /**
    * 获取 评价结果1有用2没用
    * @return Integer
    */
    public Integer getEvaluateType(){
        return evaluateType;
    }
    /**
    * 设置 评价结果1有用2没用
    * @param evaluateType
    */
    public void setEvaluateType(Integer evaluateType){
        this.evaluateType = evaluateType;
    }
    /**
    * 获取 评价时间
    * @return Date
    */
    public Date getEvaluateTime(){
        return evaluateTime;
    }
    /**
    * 设置 评价时间
    * @param evaluateTime
    */
    public void setEvaluateTime(Date evaluateTime){
        this.evaluateTime = evaluateTime;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof HelpEvaluateEntity) {
            HelpEvaluateEntity tmp = (HelpEvaluateEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",helpId:").append(getHelpId());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",custName:").append(getCustName());
        sb.append(",organization:").append(getOrganization());
        sb.append(",contactTelphone:").append(getContactTelphone());
        sb.append(",evaluateType:").append(getEvaluateType());
        sb.append(",evaluateTime:").append(getEvaluateTime());
        return sb.toString();
    }

    public void initAttrValue(){

            this.helpId = null;

            this.customerId = null;

            this.custName = "";

            this.organization = "";

            this.contactTelphone = "";

            this.evaluateType = 1;

            this.evaluateTime = null;
    }
}