package com.mortals.xhx.module.question.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.question.model.QuestionEntity;
/**
* 问答信息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class QuestionQuery extends QuestionEntity {
    /** 开始 问答ID，主键，自增长 */
    private Long idStart;

    /** 结束 问答ID，主键，自增长 */
    private Long idEnd;

    /** 增加 问答ID，主键，自增长 */
    private Long idIncrement;

    /** 问答ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 问题类型备用字段 */
    private Integer questionTypeStart;

    /** 结束 问题类型备用字段 */
    private Integer questionTypeEnd;

    /** 增加 问题类型备用字段 */
    private Integer questionTypeIncrement;

    /** 问题类型备用字段列表 */
    private List <Integer> questionTypeList;

    /** 开始 状态0未完成1已完成 */
    private Integer statusStart;

    /** 结束 状态0未完成1已完成 */
    private Integer statusEnd;

    /** 增加 状态0未完成1已完成 */
    private Integer statusIncrement;

    /** 状态0未完成1已完成列表 */
    private List <Integer> statusList;

    /** 开始 客户id */
    private Long customerIdStart;

    /** 结束 客户id */
    private Long customerIdEnd;

    /** 增加 客户id */
    private Long customerIdIncrement;

    /** 客户id列表 */
    private List <Long> customerIdList;

    /** 客户真实名称 */
    private List<String> custNameList;

    /** 单位名称 */
    private List<String> organizationList;

    /** 联系电话 */
    private List<String> contactTelphoneList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 开始 修改时间 */
    private String beginTimeStart;

    /** 结束 修改时间 */
    private String beginTimeEnd;

    /** 开始 修改时间 */
    private String finishTimeStart;

    /** 结束 修改时间 */
    private String finishTimeEnd;

    /** 开始 评价 */
    private Integer evaluateStart;

    /** 结束 评价 */
    private Integer evaluateEnd;

    /** 增加 评价 */
    private Integer evaluateIncrement;

    /** 评价列表 */
    private List <Integer> evaluateList;

    /** 开始 问答次数 */
    private Integer sumQAStart;

    /** 结束 问答次数 */
    private Integer sumQAEnd;

    /** 增加 问答次数 */
    private Integer sumQAIncrement;

    /** 问答次数列表 */
    private List <Integer> sumQAList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QuestionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QuestionQuery> andConditionList;

    public QuestionQuery(){}

    /**
    * 获取 开始 问答ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 问答ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 问答ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 问答ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 问答ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 问答ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 问答ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 问答ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 问题类型备用字段
    * @return questionTypeStart
    */
    public Integer getQuestionTypeStart(){
        return this.questionTypeStart;
    }

    /**
    * 设置 开始 问题类型备用字段
    * @param questionTypeStart
    */
    public void setQuestionTypeStart(Integer questionTypeStart){
        this.questionTypeStart = questionTypeStart;
    }

    /**
    * 获取 结束 问题类型备用字段
    * @return $questionTypeEnd
    */
    public Integer getQuestionTypeEnd(){
        return this.questionTypeEnd;
    }

    /**
    * 设置 结束 问题类型备用字段
    * @param questionTypeEnd
    */
    public void setQuestionTypeEnd(Integer questionTypeEnd){
        this.questionTypeEnd = questionTypeEnd;
    }

    /**
    * 获取 增加 问题类型备用字段
    * @return questionTypeIncrement
    */
    public Integer getQuestionTypeIncrement(){
        return this.questionTypeIncrement;
    }

    /**
    * 设置 增加 问题类型备用字段
    * @param questionTypeIncrement
    */
    public void setQuestionTypeIncrement(Integer questionTypeIncrement){
        this.questionTypeIncrement = questionTypeIncrement;
    }

    /**
    * 获取 问题类型备用字段
    * @return questionTypeList
    */
    public List<Integer> getQuestionTypeList(){
        return this.questionTypeList;
    }

    /**
    * 设置 问题类型备用字段
    * @param questionTypeList
    */
    public void setQuestionTypeList(List<Integer> questionTypeList){
        this.questionTypeList = questionTypeList;
    }

    /**
    * 获取 开始 状态0未完成1已完成
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态0未完成1已完成
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态0未完成1已完成
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态0未完成1已完成
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态0未完成1已完成
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态0未完成1已完成
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态0未完成1已完成
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态0未完成1已完成
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 开始 客户id
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户id
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户id
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户id
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 客户真实名称
    * @return custNameList
    */
    public List<String> getCustNameList(){
        return this.custNameList;
    }

    /**
    * 设置 客户真实名称
    * @param custNameList
    */
    public void setCustNameList(List<String> custNameList){
        this.custNameList = custNameList;
    }
    /**
    * 获取 单位名称
    * @return organizationList
    */
    public List<String> getOrganizationList(){
        return this.organizationList;
    }

    /**
    * 设置 单位名称
    * @param organizationList
    */
    public void setOrganizationList(List<String> organizationList){
        this.organizationList = organizationList;
    }
    /**
    * 获取 联系电话
    * @return contactTelphoneList
    */
    public List<String> getContactTelphoneList(){
        return this.contactTelphoneList;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public void setContactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
    }
    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 修改时间
    * @return beginTimeStart
    */
    public String getBeginTimeStart(){
        return this.beginTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param beginTimeStart
    */
    public void setBeginTimeStart(String beginTimeStart){
        this.beginTimeStart = beginTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return beginTimeEnd
    */
    public String getBeginTimeEnd(){
        return this.beginTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param beginTimeEnd
    */
    public void setBeginTimeEnd(String beginTimeEnd){
        this.beginTimeEnd = beginTimeEnd;
    }

    /**
    * 获取 开始 修改时间
    * @return finishTimeStart
    */
    public String getFinishTimeStart(){
        return this.finishTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param finishTimeStart
    */
    public void setFinishTimeStart(String finishTimeStart){
        this.finishTimeStart = finishTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return finishTimeEnd
    */
    public String getFinishTimeEnd(){
        return this.finishTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param finishTimeEnd
    */
    public void setFinishTimeEnd(String finishTimeEnd){
        this.finishTimeEnd = finishTimeEnd;
    }

    /**
    * 获取 开始 评价
    * @return evaluateStart
    */
    public Integer getEvaluateStart(){
        return this.evaluateStart;
    }

    /**
    * 设置 开始 评价
    * @param evaluateStart
    */
    public void setEvaluateStart(Integer evaluateStart){
        this.evaluateStart = evaluateStart;
    }

    /**
    * 获取 结束 评价
    * @return $evaluateEnd
    */
    public Integer getEvaluateEnd(){
        return this.evaluateEnd;
    }

    /**
    * 设置 结束 评价
    * @param evaluateEnd
    */
    public void setEvaluateEnd(Integer evaluateEnd){
        this.evaluateEnd = evaluateEnd;
    }

    /**
    * 获取 增加 评价
    * @return evaluateIncrement
    */
    public Integer getEvaluateIncrement(){
        return this.evaluateIncrement;
    }

    /**
    * 设置 增加 评价
    * @param evaluateIncrement
    */
    public void setEvaluateIncrement(Integer evaluateIncrement){
        this.evaluateIncrement = evaluateIncrement;
    }

    /**
    * 获取 评价
    * @return evaluateList
    */
    public List<Integer> getEvaluateList(){
        return this.evaluateList;
    }

    /**
    * 设置 评价
    * @param evaluateList
    */
    public void setEvaluateList(List<Integer> evaluateList){
        this.evaluateList = evaluateList;
    }

    /**
    * 获取 开始 问答次数
    * @return sumQAStart
    */
    public Integer getSumQAStart(){
        return this.sumQAStart;
    }

    /**
    * 设置 开始 问答次数
    * @param sumQAStart
    */
    public void setSumQAStart(Integer sumQAStart){
        this.sumQAStart = sumQAStart;
    }

    /**
    * 获取 结束 问答次数
    * @return $sumQAEnd
    */
    public Integer getSumQAEnd(){
        return this.sumQAEnd;
    }

    /**
    * 设置 结束 问答次数
    * @param sumQAEnd
    */
    public void setSumQAEnd(Integer sumQAEnd){
        this.sumQAEnd = sumQAEnd;
    }

    /**
    * 获取 增加 问答次数
    * @return sumQAIncrement
    */
    public Integer getSumQAIncrement(){
        return this.sumQAIncrement;
    }

    /**
    * 设置 增加 问答次数
    * @param sumQAIncrement
    */
    public void setSumQAIncrement(Integer sumQAIncrement){
        this.sumQAIncrement = sumQAIncrement;
    }

    /**
    * 获取 问答次数
    * @return sumQAList
    */
    public List<Integer> getSumQAList(){
        return this.sumQAList;
    }

    /**
    * 设置 问答次数
    * @param sumQAList
    */
    public void setSumQAList(List<Integer> sumQAList){
        this.sumQAList = sumQAList;
    }

    /**
    * 设置  问答ID，主键，自增长
    * @param id
    */
    public QuestionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 问答ID，主键，自增长
    * @param idStart
    */
    public QuestionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 问答ID，主键，自增长
    * @param idEnd
    */
    public QuestionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 问答ID，主键，自增长
    * @param idIncrement
    */
    public QuestionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 问答ID，主键，自增长
    * @param idList
    */
    public QuestionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  问题类型备用字段
    * @param questionType
    */
    public QuestionQuery questionType(Integer questionType){
	    setQuestionType(questionType);
		return this;
    }
	
	 /**
    * 设置 开始 问题类型备用字段
    * @param questionTypeStart
    */
    public QuestionQuery questionTypeStart(Integer questionTypeStart){
		this.questionTypeStart = questionTypeStart;
		return this;
    }

    /**
    * 设置 结束 问题类型备用字段
    * @param questionTypeEnd
    */
    public QuestionQuery questionTypeEnd(Integer questionTypeEnd){
		this.questionTypeEnd = questionTypeEnd;
		return this;
    }

    /**
    * 设置 增加 问题类型备用字段
    * @param questionTypeIncrement
    */
    public QuestionQuery questionTypeIncrement(Integer questionTypeIncrement){
		this.questionTypeIncrement = questionTypeIncrement;
		return this;
    }

    /**
    * 设置 问题类型备用字段
    * @param questionTypeList
    */
    public QuestionQuery questionTypeList(List<Integer> questionTypeList){
        this.questionTypeList = questionTypeList;
		return this;
        }

    /**
    * 设置  状态0未完成1已完成
    * @param status
    */
    public QuestionQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 状态0未完成1已完成
    * @param statusStart
    */
    public QuestionQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 状态0未完成1已完成
    * @param statusEnd
    */
    public QuestionQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 状态0未完成1已完成
    * @param statusIncrement
    */
    public QuestionQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 状态0未完成1已完成
    * @param statusList
    */
    public QuestionQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

    /**
    * 设置  客户id
    * @param customerId
    */
    public QuestionQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public QuestionQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public QuestionQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public QuestionQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public QuestionQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }


	/**
    * 设置 客户真实名称
    * @param custName
    */
    public QuestionQuery custName(String custName){
        setCustName(custName);
		return this;
    }

    /**
    * 设置 客户真实名称
    * @param custNameList
    */
    public QuestionQuery custNameList(List<String> custNameList){
        this.custNameList = custNameList;
		return this;
    }


	/**
    * 设置 单位名称
    * @param organization
    */
    public QuestionQuery organization(String organization){
        setOrganization(organization);
		return this;
    }

    /**
    * 设置 单位名称
    * @param organizationList
    */
    public QuestionQuery organizationList(List<String> organizationList){
        this.organizationList = organizationList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param contactTelphone
    */
    public QuestionQuery contactTelphone(String contactTelphone){
        setContactTelphone(contactTelphone);
		return this;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public QuestionQuery contactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
		return this;
    }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public QuestionQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public QuestionQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }



    /**
    * 设置  评价
    * @param evaluate
    */
    public QuestionQuery evaluate(Integer evaluate){
	    setEvaluate(evaluate);
		return this;
    }
	
	 /**
    * 设置 开始 评价
    * @param evaluateStart
    */
    public QuestionQuery evaluateStart(Integer evaluateStart){
		this.evaluateStart = evaluateStart;
		return this;
    }

    /**
    * 设置 结束 评价
    * @param evaluateEnd
    */
    public QuestionQuery evaluateEnd(Integer evaluateEnd){
		this.evaluateEnd = evaluateEnd;
		return this;
    }

    /**
    * 设置 增加 评价
    * @param evaluateIncrement
    */
    public QuestionQuery evaluateIncrement(Integer evaluateIncrement){
		this.evaluateIncrement = evaluateIncrement;
		return this;
    }

    /**
    * 设置 评价
    * @param evaluateList
    */
    public QuestionQuery evaluateList(List<Integer> evaluateList){
        this.evaluateList = evaluateList;
		return this;
        }

    /**
    * 设置  问答次数
    * @param sumQA
    */
    public QuestionQuery sumQA(Integer sumQA){
	    setSumQA(sumQA);
		return this;
    }
	
	 /**
    * 设置 开始 问答次数
    * @param sumQAStart
    */
    public QuestionQuery sumQAStart(Integer sumQAStart){
		this.sumQAStart = sumQAStart;
		return this;
    }

    /**
    * 设置 结束 问答次数
    * @param sumQAEnd
    */
    public QuestionQuery sumQAEnd(Integer sumQAEnd){
		this.sumQAEnd = sumQAEnd;
		return this;
    }

    /**
    * 设置 增加 问答次数
    * @param sumQAIncrement
    */
    public QuestionQuery sumQAIncrement(Integer sumQAIncrement){
		this.sumQAIncrement = sumQAIncrement;
		return this;
    }

    /**
    * 设置 问答次数
    * @param sumQAList
    */
    public QuestionQuery sumQAList(List<Integer> sumQAList){
        this.sumQAList = sumQAList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QuestionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QuestionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QuestionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QuestionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}